import { Image, Text, View } from "@tarojs/components";
import { memo, useState } from "react";
import classnames from "classnames";
import styles  from './index.module.scss'
import Popup from "@/components/popup";
import { formatImgUrl } from "@/common/fotmat";
import Counter from "@/components/counter";

export default memo(() => {
    const [showDesc, setShowDesc] = useState(true)
    return (
        <View className={styles.apply_after_sales_main}>
            <Popup show={showDesc} showTitle={false} onClose={() => setShowDesc(false)} >
                <View className={styles.apply_after_sales_head}>申请退货</View>
                <View className={styles.kind_number}><Text>2种面料，3种颜色，共6条</Text></View>
                <View className={styles.apply_after_sales_con}>
                    <View className={styles.apply_after_sales_title}>
                        <View className={styles.tag}>大货</View>
                        <View className={styles.title}>0770# 21S单面平纹(食毛)</View>
                    </View>
                    <View className={styles.color_list}>
                        <View className={styles.color_item}>
                            <View className={styles.image}><Image src={formatImgUrl('')}/></View>
                            <View className={styles.name_and_number}><Text>1# 薄荷绿</Text><Text>x1</Text></View>
                            <View className={styles.name_and_number}>
                                <Counter/>
                            </View>
                        </View>
                    </View>
                </View>
                <View className="common_safe_area_y"></View>
            </Popup>
        </View>
    )
})